Bug 488509 - Duplicate package names displayed in available updates overview list
Duplicate package names displayed in available updates overview list
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 12:53 EST by Michael Cronenworth
Modified: 2009-04-14 11:55 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.3.15-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 07:59:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2009-03-04 12:53:19 EST
Description of problem: Today's F10 updates displayed "system-config-date" twice in the list of available updates. The number of updates was 12. Interestingly the tooltip text says there are 11 updates. "yum check-updates" also says 11 updates.


Version-Release number of selected component (if applicable): PackageKit-0.3.14-1.fc10


How reproducible: Always


Additional info:
Mailing list discusion: https://www.redhat.com/archives/fedora-test-list/2009-March/msg00188.html

$ sudo yum check-update
Loaded plugins: refresh-packagekit
fedora                                                   | 2.8 kB     00:00     
updates                                                  | 2.3 kB     00:00     

audit.x86_64                              1.7.12-1.fc10                  updates
audit-libs.x86_64                         1.7.12-1.fc10                  updates
audit-libs-python.x86_64                  1.7.12-1.fc10                  updates
gvfs.x86_64                               1.0.3-6.fc10                   updates
gvfs-archive.x86_64                       1.0.3-6.fc10                   updates
gvfs-fuse.x86_64                          1.0.3-6.fc10                   updates
gvfs-gphoto2.x86_64                       1.0.3-6.fc10                   updates
gvfs-obexftp.x86_64                       1.0.3-6.fc10                   updates
gvfs-smb.x86_64                           1.0.3-6.fc10                   updates
system-config-date.noarch                 1.9.36-1.fc10                  updates

$ sudo pkcon get-updates
bugfix	gvfs-smb-1.0.3-6.fc10		Windows fileshare support for gvfs
bugfix	gvfs-archive-1.0.3-6.fc10      	Archiving support for gvfs
bugfix 	audit-1.7.12-1.fc10            	User space tools for 2.6 kernel auditing
bugfix 	gvfs-obexftp-1.0.3-6.fc10      	ObexFTP support for gvfs
bugfix 	gvfs-fuse-1.0.3-6.fc10        	FUSE support for gvfs
bugfix 	gvfs-gphoto2-1.0.3-6.fc10      	gphoto2 support for gvfs
bugfix 	audit-libs-1.7.12-1.fc10       	Dynamic library for libaudit
bugfix 	audit-libs-python-1.7.12-1.fc10	Python bindings for libaudit
bugfix 	system-config-date-1.9.36-1.fc10	A graphical interface for modifying system date and time
bugfix 	gvfs-1.0.3-6.fc10              	Backends for the gio framework in GLib
bugfix 	system-config-date-docs-1.0.5-1.fc10	Documentation for setting the system date and time
bugfix 	system-config-date-1.9.36-1.fc10	A graphical interface for modifying system date and time
Comment 1 Kevin Kofler 2009-03-04 20:01:12 EST
Same on F9:

[root@localhost ~]# yum check-update
Geladene Plugins: downloadonly, refresh-packagekit

arora.i386                             0.5-1.fc9                  updates-newkey
fftw.i386                              3.2.1-1.fc9                updates-newkey
glpk.i386                              4.36-1.fc9                 updates-newkey
lshw.i386                              B.02.14-1.fc9              updates-newkey
lshw-gui.i386                          B.02.14-1.fc9              updates-newkey
soprano.i386                           2.2.3-1.fc9                updates-newkey
soprano-devel.i386                     2.2.3-1.fc9                updates-newkey
system-config-date.noarch              1.9.36-1.fc9               updates-newkey
[root@localhost ~]# pkcon get-updates                                           
enhancement     arora-0.5-1.fc9                                 A cross platform web browser                                                                    
enhancement     fftw-3.2.1-1.fc9                                Fast Fourier Transform library                                                                  
bugfix          soprano-2.2.3-1.fc9                             Qt wrapper API to different RDF storage solutions                                               
enhancement     glpk-4.36-1.fc9                                 GNU Linear Programming Kit
enhancement     lshw-B.02.14-1.fc9                              Hardware lister
bugfix          system-config-date-1.9.36-1.fc9                 A graphical interface for modifying system date and time
bugfix          soprano-devel-2.2.3-1.fc9                       Developer filesfor soprano
enhancement     lshw-gui-B.02.14-1.fc9                          Graphical hardware lister
bugfix          system-config-date-docs-1.0.5-1.fc9             Documentation for setting the system date and time
bugfix          system-config-date-1.9.36-1.fc9                 A graphical interface for modifying system date and time

PackageKit is getting confused by system-config-date having an Obsoletes of itself:
Obsoletes: system-config-date < 1.9.35

I think this Obsoletes should be removed (the Obsoletes/Requires in system-config-date-docs should be sufficient to handle the upgrade path for the split), but still PackageKit should do some kind of deduplication here.
Comment 2 Kevin Kofler 2009-03-04 20:47:02 EST
The duplicate entries are both listed as:

New version: system-config-date-1.9.36-1.fc9
Updates: system-config-date-1.9.32-1.fc9
Obsoletes: system-config-date;1.9.32-1.fc9;noarch;installed-1.9.32-1.fc9

in KPackageKit.
Comment 3 TK009 2009-03-06 22:13:20 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Richard Hughes 2009-03-09 07:59:10 EDT
Fixed upstream, thanks:

commit 7b13b2aa13fbb2d374a895a895025441a387e600
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Mar 9 11:57:57 2009 +0000

    yum: don't output duplicated updates. Fixes rh#488509
Comment 5 Fedora Update System 2009-03-30 07:19:42 EDT
PackageKit-0.3.15-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/PackageKit-0.3.15-1.fc10
Comment 6 Fedora Update System 2009-04-14 11:55:24 EDT
PackageKit-0.3.15-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.